local _, DruidBuffs = ...

DruidBuffs.LocationList = {"World", "Instance", "Battleground", "Arena"}

function DruidBuffs:GetLocation()
	local inInstance, instanceType = IsInInstance()
	if inInstance then
		if instanceType == "arena" then return "Arena" end
		if instanceType == "pvp" then return "Battleground" end
		return "Instance"
	end
	return "World"
end

-- convert a pet's name or other unit type to be something like Player-Pet
function DruidBuffs:ConvertPetToUnit(unit)
	local groupName
	if IsInRaid() then
		for i=1,MAX_RAID_MEMBERS do
			groupName = (GetRaidRosterInfo(i))
			if UnitIsUnit(groupName .. "-Pet", unit) then
				return groupName .. "-Pet"
			end
		end
	elseif IsInGroup() then
		for i=1,GetNumSubgroupMembers() do
			groupName = UnitName("party"..i)
			if UnitIsUnit(groupName .. "-Pet", unit) then
				return groupName .. "-Pet"
			end
		end
	end
end
